<?
include_once("valida_sessao.php");
protegePagina();
include_once("adm_head.php");
?>

<span class="dir">Alterar/Excluir Notícias</span>
</div>
<div id="conteudo">

<!-- Formulário de busca -->
<form action="busca.php" method="post">
<div class="busca">
<select name="campo">
  <option value="n_id">ID</option>
  <option value="n_titulo" selected="selected">Título</option>
</select>
<input type="text" name="busca" />
<input type="hidden" name="arq" value="<? echo $_SERVER['PHP_SELF'] ?>" />
<input type="submit" value="Buscar" />
</div>
<!-- FIM Formulário de busca -->

  <?php
include("config.php");

if (isset($_GET['acao'])){
	if ($_GET['acao']=="remover") {
	
		$id = $_GET['id'];				
		
		$delete = "DELETE FROM ctd_noticias WHERE n_id = $id";		
   		mysqli_query($conn, $delete);
			
	}
}

include("utf8.php");

//paginação
include_once("pag_ini.php");
$ajax = 0;
$total = 1;
//fim paginação

//alteração pra busca na mesma pagina
$sql = "SELECT *, date_format(n_data,'%d/%m/%Y') as data FROM ctd_noticias ";
	echo "<input type=\"hidden\" name=\"qry\" value=\"$sql\" /> </form>";	
	
if(isset($_POST['qry'])){
	$qry = stripslashes($_POST['qry']);
}else{
	$qry = "SELECT *, date_format(n_data,'%d/%m/%Y') as data FROM ctd_noticias ORDER BY n_data DESC";
}

//ALTERAÇÃO PARA BUSCA COM PAGINAÇÃO
if(isset($_GET['qry']))
	$qry = stripslashes(base64_decode($_GET['qry']));

//alteração pra busca na mesma pagina

$consulta = mysqli_query($conn, $qry.$sqlFinal);

//navegador de paginação
include_once("pag_fim.php");
//fim navegador de paginação
?>

<table align="center" class="form exibe">
  <tr>
    <th width="1">Data</th>
    <th>Título</th>    
    <th width="1">Alterar</th>
    <th width="1">Excluir</th>
  </tr>

<?
while ($linha = mysqli_fetch_array($consulta)){
?>
  <tr>
    <td><?=$linha['data'];?></td>
    <td><?=$linha['n_titulo'];?></td>     
    <td><input type="image" src="imagem/editar.png" name="acao" onclick="location.href = 'ctd_noticia_alt.php?id=<?=$linha['n_id'];?>'"></td>
    <td><input type="image" src="imagem/excluir.png" value="remover" name="acao" onclick="confirma_noticia(<?=$linha['n_id'];?>)"></td>
  </tr>
  <?php
}
mysqli_close($conn);
?>
</table>
</div>
<? include_once("adm_foot.php"); ?>
